#####################################################
# Hyades Generic Adapter strings
#
#**********************************************************************
# * Copyright (c) 2003 Hyades project.
# * All rights reserved.   This program and the accompanying materials
# * are made available under the terms of the Common Public License v1.0
# * which accompanies this distribution, and is available at
# * http://www.eclipse.org/legal/cpl-v10.html
# *
# * Contributors:
# * IBM - Initial API and implementation
# **********************************************************************/
#####################################################
# ====================================================================
# To code developer:
#   Do NOT change the properties between this line and the
#   "%%% END OF TRANSLATED PROPERTIES %%%" line.
#   Make a new property name, append to the end of the file and change
#   the code to use the new property.
# ====================================================================
#####################################################

HyadesGACommand_line_usage=Command line usage: Adapter [-cc ContextConfiguration.xml] [-ac ComponentConfigurations.xml]

HyadesGA_CBE_File_Outputter_Write_Error=Common Base Event File outputter {0} cannot write to file {1}.
HyadesGA_CBE_File_Outputter_Create_Error=Common Base Event File outputter {0} cannot create file {1}.

HyadesGA_CBE_Formatter_MsgDataElement_Warning=Common Base Event formatter {0} has received an invalid MsgDataElement property name: {1}.

HyadesGA_CBE_Formatter_Duplicate_ContextDataElement_Warning=Common Base Event formatter {0} has received the ContextDataElement property {1} but it cannot be set because {2} is set.
HyadesGA_CBE_Formatter_ContextDataElement_Warning=Common Base Event formatter {0} has received an invalid ContextDataElement property name: {1}.

HyadesGA_CBE_Formatter_ComponentIdentification_Warning=Common Base Event formatter {0} has received an invalid ComponentIdentification property name: {1}.

HyadesGA_CBE_Formatter_SituationType_Warning=Common Base Event formatter {0} has received the situation type {1} but this CBE has a different situation type.
HyadesGA_CBE_Formatter_AvailableSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not an Available Situation property.
HyadesGA_CBE_Formatter_RequestSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Request Situation property.
HyadesGA_CBE_Formatter_StartSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Start Situation property.
HyadesGA_CBE_Formatter_StopSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Stop Situation property.
HyadesGA_CBE_Formatter_ConnectSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Connect Situation property.
HyadesGA_CBE_Formatter_ConfigureSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Configure Situation property.
HyadesGA_CBE_Formatter_CreateSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Create Situation property.
HyadesGA_CBE_Formatter_DestroySituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Destroy Situation property.
HyadesGA_CBE_Formatter_ReportSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Report Situation property.
HyadesGA_CBE_Formatter_FeatureSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Feature Situation property.
HyadesGA_CBE_Formatter_DependencySituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not a Dependency Situation property.
HyadesGA_CBE_Formatter_OtherSituation_Warning=Common Base Event formatter {0} has received the property name {1} that is not an Other Situation property.

HyadesGA_CBE_Formatter_Invalid_Situation_Warning=Common Base Event formatter {0} has received an invalid Situation property name {1}.
HyadesGA_CBE_Formatter_Invalid_SituationType_Warning=Common Base Event formatter {0} has received an invalid Situation Type property name {1}.
HyadesGA_CBE_Formatter_Invalid_AssociatedEvent_Warning=Common Base Event formatter {0} has received an invalid AssociatedEvent property name {1}.
HyadesGA_CBE_Formatter_Invalid_AssociationEngine_Warning=Common Base Event formatter {0} has received an invalid AssociationEngine property name {1}.

HyadesGA_CBE_Formatter_Duplicate_ExtendedDataElement_Warning=Common Base Event formatter {0} has received the ExtendedDataElement property {1} but it cannot be set because {2} is set.
HyadesGA_CBE_Formatter_Invalid_ExtendedDataElement_Warning=Common Base Event formatter {0} has received an invalid ExtendedDataElement property name {1}.
HyadesGA_CBE_Formatter_Invalid_CommmonBaseEvent_Warning=Common Base Event formatter {0} has received an invalid CommmonBaseEvent property name {1}.
HyadesGA_CBE_Formatter_Invalid_Property_Warning=Common Base Event formatter {0} has received an invalid property name string {1}.
HyadesGA_CBE_Formatter_Non_Numeric_Property_Warning=Common Base Event formatter {0} has received an non numeric value when it was expecting one when processing {1}.
HyadesGA_CBE_Formatter_Exception_Warning=Common Base Event formatter {0} has received an exception when processing {1} - {2}.

HyadesGA_CBE_Logging_Agent_Waiting_Info=Common Base Event logging agent outputter {0} is waiting for agent {1} to be monitored...

HyadesGA_CBE_Logging_Agent_Write_Error=Common Base Event logging agent outputter {0} cannot write to agent {1}.

HyadesGA_CBE_Notify_Outputter_Error=Common Base Event notify outputter {0} could not create a CBENotifySource.

HyadesGA_CBE_ProcessUnit_Error=Process Unit {0} has been requested to process Event Items.

HyadesGA_CBE_Sensor_getNext_Info=Sensor getNext has been requested from {0}.

HyadesGA_CBE_File_Parsing_Error=Exception parsing file {0}:  {1}.

HyadesGA_CBE_Simple_Extractor_Message_Info=The following message is being passed on: {0}

# ====================================================================
# %%% END OF TRANSLATED PROPERTIES %%%
# ====================================================================

pluginName = Hyades Generic Log Adapter Runtime
providerName = www.Eclipse.org
ContextListener_Schema = Context Listeners
AdapterComponent_Schema = Adapter Components

# Command line strings:
HyadesGA-cc=-cc
HyadesGA-ac=-ac

# File symbol and tag names in the xml schema:
HyadesGADefaultContextConfigurationFile=SimpleContextConfiguration.xml
HyadesGADefaultComponentConfigurationsFile=SimpleComponentConfigurations.xml
HyadesGA=:
HyadesGAContextsElementTagName=hga:Contexts
HyadesGAContextElementTagName=hga:Context
HyadesGAExecutableClassAttributeName=executableClass
HyadesGANameAttributeName=name
HyadesGAUniqueIDAttributeName=uniqueID
HyadesGADescriptionAttributeName=description
HyadesGARoleAttributeName=role
HyadesGALoggingLevelAttributeName=loggingLevel
HyadesGARoleVersionAttributeName=roleVersion
HyadesGARoleCreationDateAttributeName=roleCreationDate
HyadesGARoleVersionDescriptionAttributeName=roleVersionDescription
HyadesGAImplementationVersionAttributeName=implementationVersion
HyadesGAImplemenationCreationDateAttributeName=implementationCreationDate
HyadesGAImplemenationVersionDescriptionAttributeName=implementationVersionDescription
HyadesGAComponentElementTagName=hga:Component
HyadesGASensorConfigElementTagName=hga:SensorConfig
HyadesGAtypeAttributeName=type
HyadesGAagentNameAttributeName=agentName
HyadesGAdirectoryAttributeName=directory
HyadesGAfileNameAttributeName=fileName
HyadesGAstaticParserClassAttributeName=parserClassName
HyadesGAconverterCmdAttributeName=converter
HyadesGAconverterShellAttributeName=shell
HyadesGAexpirationAttributeName=expiration
HyadesGApauseIntervalAttributeName=pauseInterval
HyadesGAmaximumIdleTimeAttributeName=maximumIdleTime
HyadesGAmaximumBlockingAttributeName=maximumBlocking
HyadesGAwaitTimeAttributeName=waitUntilLoggingTime
HyadesGAcontinuousOperationAttributeName=continuousOperation
HyadesGAContextInstanceElementTagName=cc:ContextInstance
HyadesGAnestedMessagesAttributeName=nestedMessages
HyadesGAcontainsLineBreaksAttributeName=containsLineBreaks
HyadesGAreplaceLineBreaksAttributeName=replaceLineBreaks
HyadesGAstartPatternAttributeName=startPattern
HyadesGAendPatternAttributeName=endPattern
HyadesGAincludeStartPatternAttributeName=includeStartPattern
HyadesGAincludeEndPatternAttributeName=includeEndPattern
HyadesGAlineBreakSymbolAttributeName=lineBreakSymbol
HyadesGARuleElementTagName=RuleElement
HyadesGARuleAttributeTagName=RuleAttribute
HyadesGASubstitutionRuleTagName=SubstitutionRule
HyadesGAPositionsAttributeName=positions
HyadesGAMatchAttributeName=match
HyadesGASubstituteAttributeName=substitute
HyadesGADesignationTokenName=designationToken
HyadesGASeparatorTokenAttributeName=separatorToken
HyadesGAIndexAttributeName=index
HyadesGAParserTagName=cc:Parser
HyadesGAResourceURLAttributeName=resourceURL
HyadesGAcontextListenerAttributeName=contextListener
HyadesGAstaticParserClassAttributeName=parserClassName
HyadesGAstaticParserAgentName=Generic Log Parser Agent
HyadesGAUsePreviousMatchSubstitutionAsDefault=usePreviousMatchSubstitutionAsDefault

HyadesGASensorTagName=cc:Sensor
HyadesGAOutputterTagName=cc:Outputter
HyadesGAConfigurationTagName=cc:Configuration
HyadesGAStaticParserSensorTypeTagName=sensor:StaticParserSensor
HyadesGAAdapterCBESensorTypeTagName=sensor:AdapterCBESensor
HyadesGASensorPropertyTagName=sensor:SensorProperty
HyadesGASensorPropertyNameTag=propertyName
HyadesGASensorPropertyValueTag=propertyValue
HyadesGAInputLogFilenameTag=file_path
HyadesGALogVersionTagName=version
HyadesGADefaultLogVersionTagName=Default
HyadesGAExtensionPointPackageNameTag=org.eclipse.hyades.logging.parsers
HyadesGAExtensionPointNameTag=logParser
HyadesGAExtensionPointIDTag=id
HyadesGAUnknownNameTag=unknown
HyadesGAStaticParserOutputterTagName=StaticParserOutputter
HyadesGAStaticParserLoggerKeyName=loggerKey
HyadesGAOutputterPropertyTagName=op:OutputterProperty
HyadesGASingleFileOutputterTypeTagName=op:SingleFileOutputterType
HyadesGAEclipseErrorDialogOutputterTypeTagName=op:EclipseErrorDialogOutputter
HyadesGAuseBuiltInFunctionAttributeName=useBuiltInFunction
